Bug 662574 - No simple way (GUI) to add another keyboard layout.
Summary: No simple way (GUI) to add another keyboard layout.
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: lxde-common
Version: 15
Hardware: Unspecified
OS: Unspecified
low
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-12-13 08:48 UTC by nomnex
Modified: 2012-08-07 20:12 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-07 20:12:03 UTC
Type: ---


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Bugzilla 710496 0 unspecified CLOSED lxpanel error on LXDE startup. 2021-02-22 00:41:40 UTC

Internal Links: 710496

Description nomnex 2010-12-13 08:48:18 UTC
Description of problem:

There is a keyboard layout switcher, but it does no offer the possibility to add another keyboard layout

Version-Release number of selected component (if applicable):

Fedora 13 (and Fedora 14) LXDE Spin

How reproducible:

Permanent

Steps to Reproduce:
1. Install the LXDE keyboard layout switcher
2. select a second keyboard layout
3. 
  
Actual results:

The country flag icon changes, but nothing happens.

Expected results:

The ability to have another keyboard layout setting from the GUI (as in KDE/Gnome)


Additional info:

setxkbmap is not clearly documented on the Fedora LXDE documentation as a workaround to set another keyboard layout on the Fedora LXDE Spin.

Comment 1 Christoph Wickert 2010-12-19 00:27:06 UTC
The necessary setup is described in the LXDE wiki, what else do you think I can do?

Comment 2 nomnex 2010-12-19 04:30:20 UTC
hello Christoph.  This link http://wiki.lxde.org/en/Change_keyboard_layouts did not help me at all (but it was informative).  It was a problem for me at the time, because I wanted to use LXDE (and not Gnome anymore), but I needed 2 keyboard layouts (eng-fra) and I did not know how to do it.  Luckily, a more experienced user answered my question in an easy to understand manner (link) http://forum.lxde.org/viewtopic.php?f=8&t=1810.

Maybe, giving the complete commands to change keyboard layouts in the Wiki, would quickly help other end users solving their problem?

I have read many threads about the same issue (not Fedora specific, but lxde related).

In my opinion, I would edit the wiki to give the proper commands directly, and how to make this command permanent. It would quickly help any other end users solving their problem; so they wouldn't give up and left LXDE with the bitter feeling that LXDE is for experts, or that is not ready/easy, etc.

In the Wiki:

Give the common language codes (I don't know them, so it's just indicative):

French keyboard > fr
English keyboard > eng
Swiss-French keyboard > ch(fr)
German keyboard > de
Japaneses kyboard > jp
etc.

Then give the full command, and instruct the user to change it with his default language and the second layout keyboard he needs.

e.g. to add a second keyboard layout, pass this command (as a user, not as root):

$ setxkbmap -layout "1*,2*" -option "grp:alt_shift_toggle"

*1=input your default language keyboard (see language codes above)
*2=input the second default layout (see language codes above)

The command is not permanent.  If you want to make it permanent, copy the command

setxkbmap -layout "1*,2*" -option "grp:alt_shift_toggle" at the end of the file

at the end of the file

/home/user/.bashrc

Trust me, most of the end users (me included) get completely lost when they have chose what file to use (./bashrc, or ./profile, or ./bash_profile, etc.) - well, now I know the difference :)

log-out/log-in.

(end)

in addition, I would also give the some other key mapping options (alt_shift_toggle, is not very convenient for me because many other applications already use 'shift'+'alt' key mapping).  I did not find the way to modify the keys mapping yet (and I did not really have time to search how to do it).

I am not sure if the preceding make sens to you?  I am aware it is very (very) low level.  But after installing Lxde F-13 I felt relieve in a way, but I another way, I needed to address this simple issue (this is not hardware specific,vjust a setting) in a simple and easy way.  I am probably not the only one.  the wiki was to general and vague for my level of expertise.  I needed the command + the language code (e.g. ch(fr)) at once.

I hope my (long) comment may help.  Thank you for LXDE Spin Fedora by the way.

Comment 3 Bug Zapper 2011-05-30 12:50:10 UTC
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Comment 4 Fedora End Of Life 2012-08-07 20:12:05 UTC
This message is a notice that Fedora 15 is now at end of life. Fedora
has stopped maintaining and issuing updates for Fedora 15. It is
Fedora's policy to close all bug reports from releases that are no
longer maintained. At this time, all open bugs with a Fedora 'version'
of '15' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that
we were unable to fix it before Fedora 15 reached end of life. If you
would still like to see this bug fixed and are able to reproduce it
against a later version of Fedora, you are encouraged to click on
"Clone This Bug" (top right of this page) and open it against that
version of Fedora.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

The process we are following is described here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.